Bug 1438452 - libtiff: Divide-by-zero in tif_read.c and tiffiop.h
Summary: libtiff: Divide-by-zero in tif_read.c and tiffiop.h
Keywords:
Status: CLOSED DUPLICATE of bug 1438472
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-03 12:53 UTC by Andrej Nemec
Modified: 2019-09-29 14:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-03 13:07:22 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-03 12:53:15 UTC
A divide-by-zero vulnerability was found in libtiff. A maliciously crafted file could cause the application to crash.

Upstream patch:

https://github.com/vadz/libtiff/commit/438274f938e046d33cb0e1230b41da32ffe223e1

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2596

Comment 1 Andrej Nemec 2017-04-03 13:16:15 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1438464]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1438466]
Affects: fedora-all [bug 1438465]

Comment 2 Salvatore Bonaccorso 2017-04-04 06:14:12 UTC
Hi

Is this a duplicate of CVE-2016-10266?

Comment 3 Andrej Nemec 2017-04-04 07:32:53 UTC
(In reply to Salvatore Bonaccorso from comment #2)
> Hi
> 
> Is this a duplicate of CVE-2016-10266?

Looks like I mispunched 3 instead of 6 at the end of a CVE number... Thanks for spotting it, I will close it as a duplicate.

*** This bug has been marked as a duplicate of bug 1438472 ***

Comment 4 Salvatore Bonaccorso 2017-04-04 15:04:48 UTC
Hi Andrej,

Perfect thank you for the quick confirmation!

Regards,
Salvatore


Note You need to log in before you can comment on or make changes to this bug.